
# Version options
%define kernel_base_version 2.4.29
%define kernel_extra_version	%nil
# Numeric extra version scheme developed by Alexander Bokovoy:
# 0.0.X -- preX
# 0.X.0 -- rcX
# 1.0.0 -- release
%define kernel_extra_version_numeric 1.0.0
%define krelease alt9

%define base_flavour	std
%define subflavour	smp

%define flavour		%base_flavour-%subflavour

# Build options
# You can change compiler version by editing this line:
%ifnarch x86_64
%define kgcc_version	2.96
%endif

# Enable/disable SGML docs formatting
%def_disable docs

# Fixes:
%add_patch_list kernel-fix-build

%add_patch_list kernel-fix-security-owl
%add_patch_list kernel-fix-security

%add_patch_list kernel-fix-net
%add_patch_list kernel-fix-core
%add_patch_list kernel-fix-fs
%add_patch_list kernel-fix-lvm

%add_patch_list kernel-fix-drivers-ide
%add_patch_list kernel-fix-drivers-net
%add_patch_list kernel-fix-drivers-pci
%add_patch_list kernel-fix-drivers-scsi
%add_patch_list kernel-fix-drivers-sound
%add_patch_list kernel-fix-drivers-usb
%add_patch_list kernel-fix-drivers-char
%add_patch_list kernel-fix-drivers-md
#add_patch_list kernel-fix-drivers-media
%add_patch_list kernel-fix-drivers-mtd
%add_patch_list kernel-fix-drivers-video
%add_patch_list kernel-fix-drivers-pnp
%add_patch_list kernel-fix-drivers-block

%add_patch_list kernel-fix-acpi

##################
%add_patch_list kernel-feat-fs-xfs
%add_patch_list kernel-feat-fs-reiserfs
%add_patch_list kernel-feat-cpufreq
%add_patch_list kernel-feat-i2c
%add_patch_list kernel-feat-ipmi
%add_patch_list kernel-feat-fs-ntfs
%add_patch_list kernel-feat-kconfig
%add_patch_list kernel-feat-crypto
%add_patch_list kernel-feat-drivers-usb
%add_patch_list kernel-feat-drivers-block-enbd
%add_patch_list kernel-feat-drivers-video-splash
%add_patch_list kernel-feat-net-ppp-mppe
%add_patch_list kernel-feat-net-openswan
%add_patch_list kernel-feat-drivers-media-v4l2
%add_patch_list kernel-feat-drivers-sound-emu10k1
%add_patch_list kernel-feat-drivers-libata
%add_patch_list kernel-feat-drivers-net-pcnet32-old

# imz: Unicode support in VT/console
%add_patch_list kernel-feat-drivers-console-unicode
# Although this patch changes the interface between the kernel and loadkeys,
# I do not put a Conflicts for the old console-tools here,
# because the old loadkeys works fine the new kernel interface.

## Don't edit below this line ##################################

%define kversion %kernel_base_version

Name: kernel-image-%flavour
Version: %kversion
Release: %krelease

Summary: The Linux kernel (the core of the Linux operating system)
License: GPL
Group: System/Kernel and hardware
Url: http://www.kernel.org/
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

%set_kernel_arches i586

Source2: rhkmvtag.c
%define rhkmvtag %SOURCE2

Source3: kernel-headers-Makefile.patch

ExclusiveOS: Linux

BuildRequires: libdb4-devel flex dev86
BuildRequires: kernel-source-%kernel_base_version = %kernel_extra_version_numeric
BuildRequires: kernel-build-tools >= 0.8
BuildRequires: %get_patch_list
BuildRequires: gcc-common >= 1.2-alt1
BuildRequires: gcc%kgcc_version
BuildRequires: kernel-fix-core >= 2003.06.11

%if_enabled docs
BuildRequires: docbook-utils transfig ghostscript
%endif

%if_enabled ccache
BuildRequires: ccache
%endif

%ifdef use_ccache
BuildRequires: ccache
%endif

Requires: bootloader-utils >= 0.3-alt1, modutils, mkinitrd >= 1:2.8.6-alt2
Provides: kernel = %kversion
Provides: kernel24 = %kversion

PreReq: coreutils
PreReq: modutils >= 2.4.17
PreReq: bootloader-utils >= 0.1-alt7
PreReq: mkinitrd >= 1:2.8.6-alt2
Obsoletes: kernel-modules, kernel-modules-i2c-%flavour

%description
This package contains the Linux kernel that is used to boot and run
your system. It contains few device drivers for specific hardware.
Most hardware is instead supported by modules loaded after booting.
Patches included:%format_patch_list

%package -n kernel-headers-%flavour
Summary: Header files for the Linux kernel
Group: System/Kernel and hardware
Requires: kernel-headers-common >= 1.1.5
Obsoletes: kernel-headers-i2c-%flavour
Provides: kernel-headers-%base_flavour = %version-%release
Provides: kernel-headers = %version

%description -n kernel-headers-%flavour
These are the C header files for the Linux kernel, which define
structures and constants that are needed when building most standard
programs under Linux, as well as to rebuild the kernel.
Patches included:%format_patch_list

%package -n kernel-headers-modules-%flavour
Summary: SCSI header files for the Linux kernel
Group: System/Kernel and hardware
Requires: kernel-headers-%flavour = %version-%release
Requires: gcc-common >= 1.2-alt1
Requires: gcc%kgcc_version

%description -n kernel-headers-modules-%flavour
These are the C header files for the Linux kernel scsi subsystem, which define
structures and constants that are needed when building only scsi-related
kernel modules. Don't use it for any purposes except building a kernel modules.

%package -n kernel-doc-%base_flavour
Summary: Linux kernel %kversion documentation
Group: System/Kernel and hardware

%description -n kernel-doc-%base_flavour
This package contains documentation files for ALT Linux kernel packages:
 * kernel-image-%base_flavour-up-%kversion-%krelease
 * kernel-image-%base_flavour-smp-%kversion-%krelease

%prep
%setup -cT -n kernel-image-%flavour-%kversion-%krelease

%__rm -rf kernel-source-%kernel_base_version

%__tar -jxf %kernel_src/kernel-source-%kernel_base_version.tar.bz2

%setup -D -T -n kernel-image-%flavour-%kversion-%krelease/kernel-source-%kernel_base_version

echo "patches = %_patch_list"

%apply_patches 2.4

# this file should be usable both with make and sh (for broken modules
# which do not use the kernel makefile system)
echo 'export GCC_VERSION=%kgcc_version' > gcc_version.inc

%__subst 's/EXTRAVERSION =.*/EXTRAVERSION = %kernel_extra_version-%flavour-%krelease/g' Makefile
%__subst 's/CC.*$(CROSS_COMPILE)gcc/CC              := $(shell echo $${GCC_USE_CCACHE:+ccache}) gcc-%kgcc_version/g' Makefile

%build
KERNEL_BUILD_DIR=`pwd`

KernelVer=%kversion-%flavour-%krelease

echo "Building Kernel $KernelVer"

:> arch/%base_arch/defconfig

%__cat %{get_kernel_config %_target_cpu} >> arch/%base_arch/defconfig

%make_build mrproper

%make_build oldconfig

### It's a hack, but a useful hack:

cmp -s .config %{get_kernel_config %_target_cpu} || %__cp -vf .config %{get_kernel_config %_target_cpu}

%make_build dep clean

%make_build include/linux/version.h

%make_build bzImage

%make_build modules YACC="bison -y"

echo "Kernel built $KernelVer"

%if_enabled docs
# psdocs, pdfdocs don't work yet
%make_build htmldocs
%endif

%install
KernelVer=%kversion-%flavour-%krelease

%__mkdir -p $RPM_BUILD_ROOT/boot
%__install System.map $RPM_BUILD_ROOT/boot/System.map-$KernelVer
%__cp arch/%base_arch/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
%__cp .config $RPM_BUILD_ROOT/boot/config-$KernelVer

%__make modules_install \
    INSTALL_MOD_PATH=$RPM_BUILD_ROOT \
    KERNELRELEASE=$KernelVer

%__cc -o rhkmvtag %rhkmvtag init/version.o
./rhkmvtag >$RPM_BUILD_ROOT/lib/modules/$KernelVer/.rhkmvtag ||:
%__rm -f rhkmvtag

%__install -d $RPM_BUILD_ROOT%prefix/include/linux-%version-%flavour/include

pushd include
%__cp -a . $RPM_BUILD_ROOT%prefix/include/linux-%version-%flavour/include
popd

# drivers-headers install
%__install -d $RPM_BUILD_ROOT%prefix/src/linux-%version-%flavour/drivers/scsi
%__cp -a ./drivers/scsi/{{constants,sd,scsi,hosts,scsi_obsolete}.h,scsi_module.c} \
	$RPM_BUILD_ROOT%prefix/src/linux-%version-%flavour/drivers/scsi/

#%__install -d $RPM_BUILD_ROOT%prefix/src/linux-%version-%flavour/drivers/media/video
#%__cp -a ./drivers/addon/bttv/{{id,bttv,bttvp,audiochip,i2c-compat,tuner,bt848}.h} \
#	$RPM_BUILD_ROOT%prefix/src/linux-%version-%flavour/drivers/media/video

%__install -d %buildroot%prefix/src/linux-%version-%flavour/arch/%base_arch
%__install -d %buildroot%prefix/src/linux-%version-%flavour/scripts
%__cp -a ./{Makefile,Rules.make,gcc_version.inc} \
	%buildroot%prefix/src/linux-%version-%flavour/
%__cp -a ./arch/%base_arch/Makefile \
	%buildroot%prefix/src/linux-%version-%flavour/arch/%base_arch/
%__cp -a ./scripts/pathdown.sh \
	%buildroot%prefix/src/linux-%version-%flavour/scripts/

pushd %buildroot%prefix/src/linux-%version-%flavour
ln -sf ../../include/linux-%version-%flavour/include include
patch Makefile < %SOURCE3
popd

%__cp -a .config $RPM_BUILD_ROOT%prefix/src/linux-%version-%flavour/.config
pushd $RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/lib/modules/$KernelVer/build
ln -sf %prefix/src/linux-%version-%flavour/ \
    $RPM_BUILD_ROOT/lib/modules/$KernelVer/build
popd

# remove asm-* include files for other architectures
pushd $RPM_BUILD_ROOT%prefix/include/linux-%version-%flavour/include
for dir in asm-*; do
	[ "$dir" = "asm-generic" ] && continue
	[ "$dir" = "asm-%base_arch" ] && continue
	%__rm -rf -- "$dir"
done
popd

# install documentation
%if_enabled docs
%__install -d %buildroot%_docdir/kernel-doc-%base_flavour-%version/
%__cp -a Documentation/* %buildroot%_docdir/kernel-doc-%base_flavour-%version/
%__install -d %buildroot%_docdir/kernel-doc-%base_flavour-%version/scsi/
%__cp -a drivers/scsi/README* \
	%buildroot%_docdir/kernel-doc-%base_flavour-%version/scsi/
for dir in aacraid aic7xxx aic7xxx_old; do
	%__install -d \
		%buildroot%_docdir/kernel-doc-%base_flavour-%version/scsi/$dir/
	%__cp -a drivers/scsi/$dir/README* \
		%buildroot%_docdir/kernel-doc-%base_flavour-%version/scsi/$dir/
done
%__install -d \
	%buildroot%_docdir/kernel-doc-%base_flavour-%version/scsi/sym53c8xx_2
%__cp -a drivers/scsi/sym53c8xx_2/*.txt \
	%buildroot%_docdir/kernel-doc-%base_flavour-%version/scsi/sym53c8xx_2
%endif # if_enabled docs

%post
%post_kernel_image %kversion-%flavour-%krelease

%preun
%preun_kernel_image %kversion-%flavour-%krelease

%post -n kernel-headers-%flavour
%post_kernel_headers %kversion-%flavour-%krelease

%postun -n kernel-headers-%flavour
%postun_kernel_headers %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
/boot/vmlinuz-%version-%flavour-%krelease
/boot/System.map-%version-%flavour-%krelease
/boot/config-%version-%flavour-%krelease
/lib/modules/%version-%flavour-%krelease
%exclude /lib/modules/%version-%flavour-%krelease/build

%files -n kernel-headers-%flavour
%defattr(644,root,root,755)
%dir %prefix/include/linux-%version-%flavour
%prefix/include/linux-%version-%flavour/include

%files -n kernel-headers-modules-%flavour
%defattr(644,root,root,755)
%prefix/src/linux-%version-%flavour
/lib/modules/%version-%flavour-%krelease/build

%if_enabled docs
%files -n kernel-doc-%base_flavour
%defattr(644,root,root,755)
%doc %_docdir/kernel-doc-%base_flavour-%version
%endif

%changelog
* Sun Nov 27 2005 Sergey Vlasov <vsu@altlinux.ru> 2.4.29-alt9
- Updated kernel-fix-security:
  + CVE-2005-2709: fix sysctl unregistration oops
  + CVE-2005-3055: fix signal sending in usbdevio on async URB completion
  + fix signal sending in usbdevio on device disconnect

* Sun Nov 06 2005 Sergey Vlasov <vsu@altlinux.ru> 2.4.29-alt8
- Removed x86_64 support (it will not be maintained in the 3.0 branch).
- Updated kernel-fix-core:
  + mtrr: fix off-by-one error
  + rwsem: make rwsems use interrupt disabling spinlocks
  + i386: fix incorrect FP signal delivery
  + fix RedBlackTree rb_next/rb_prev functions
  + brlock: delete atomic version which was buggy and deadlock prone
  + get_user_pages() shall not grab PG_reserved pages
  + i386/pci: fix wrong message output
  + write throttling should not take free highmem into account
  + i386/x86_64 fpu: fix x87 tag word simulation using fxsave
  + fix checks for multiply overflow in msecs_to_jiffies()
  + fix possible memory ordering bug in page reclaim
- Updated kernel-fix-drivers-block:
  + fix off by one bug in loop.c
- Updated kernel-fix-drivers-char:
  + moxa: fix crash with more than one board
  + serial, cyclades, esp, isicom, mxser, riscom8, specialix: fix possible NULL
    dereference in serial drivers
  + lp: fix possible data corruption due to wrong locking
  + workaround possible pty line discipline race
  + fix softdog no reboot on unexpected close
  + fix synclinkmp register access typo
- Updated kernel-fix-drivers-ide:
  + fix MSF overflow in ide-cd with multisession DVDs
- Updated kernel-fix-drivers-md:
  + md: allow degraded raid1 array to resync after an unclean shutdown
  + fix panics while backing up LVM snapshots
- Updated kernel-fix-drivers-net:
  + bonding: fix locking when unloading module
  + bluetooth (hci_usb, bfusb): fix hangs caused by wrong race condition fix
  + tun: fix check for underflow
- Updated kernel-fix-drivers-scsi:
  + aic7xxx: do not reset chip when trying to pause it
  + libata: fix oops in advanced SATA drivers (ahci) due to missing hooks
  + libata: fix an oops in ata_to_sense_error
  + st, osst: allow lseek on SCSI tapes to keep tar --verify happy
  + st: revert wrong error code change
  + sd: fix units/partition count when a SCSI disk is removed
- Updated kernel-fix-drivers-usb:
  + fix oops in io_edgeport.c driver
  + prevent hiddev from looping
  + fix oops in serial_write
- Updated kernel-fix-fs:
  + jfs: fix oops on mount failure
  + workaround inode cache (prune_icache/__refile_inode) SMP races
  + avoid size_buffers_type overflow
  + zisofs: check for bogus block size before trying to decompress
  + fix memory corruption from /proc/kcore access
  + backport 2.6 rw_verify_area() to check against file offset overflows
  + add missing f_maxcount initialization
  + fix vfsmount refcounting when following an absolute symlink
  + nlm: fix f_count leak
  + nfs client: handle long symlinks properly
- Updated kernel-fix-net:
  + fix sk_rmem_alloc assertion failure in af_netlink.c
  + ipvs: replaced several unchecked strcpy() with strncpy()
  + fix off-by-one error in rtnetlink.c
  + tcp: fix stretch ACK performance killer when doing ucopy
  + ipvs: close race conditions on ip_vs_conn_tab list modification
  + fix negative timer loop with lots of ipv4 peers
  + ipv6: fix route events reported with wrong netlink PID and seq number
  + netfilter: fix potential memory corruption in NAT code
  + netfilter: handle NAT module load race
  + netfilter: ignore PSH on SYN/ACK in ipt_unclean
  + fix possible corruption is sys_recvmsg
  + AF_UNIX: Fix SIOCINQ for STREAM sockets
  + netlink: fix bogus mc_list deletion
  + ipv4: ipconfig should use memmove() instead of strcpy()
  + add missing memory barrier to kfree_skb()
  + fix kernel oops if base_reachable_time is set to 0
  + add barriers for dst refcnt
  + netlink: use SKB_MAXORDER to calculate NLMSG_GOODSIZE
  + netlink: fix multicast bind/autobind race
  + netlink: unhash sockets correctly
  + sch_netem: fix memory leak
  + set NLM_F_MULTI for neighbour rtnetlink messages to userspace
  + TCP: fix BIC not binary searching correctly
  + fix potential leak of kernel data to user space in wireless private handler
    helper
  + netlink: fix more socket hashing bugs
  + ip_vs_ftp breaks connections using persistence
  + ipvs: really invalidate persistent templates
  + fix MCAST_EXCLUDE line dupes
  + netfilter: fix gcc 3.4.3 compilation issue
  + don't over-clamp window in tcp_clamp_window()
  + ipvs: fix connection expiry
  + ipv6: fix MSFILTER ioctl
- Updated kernel-fix-security:
  + require root privileges for loading key mappings (CAN-2005-3257)
- Modified configuration:
  + Enabled in-kernel crypto support (CONFIG_CRYPTO) and all available
    algorithms as modules (requires at least for madwifi drivers).  Note: this
    is different from the older CryptoAPI support (kernel-feat-crypto) which is
    used by cryptoloop and ipsec_tunnel drivers.
  + Enabled stack overflow check (CONFIG_DEBUG_STACKOVERFLOW) to catch problems
    before they lead to undecodable oopses.

* Thu Jul 14 2005 Anton D. Kachalov <mouse@altlinux.org> 2.4.29-alt7
- Per-arch configuration

* Wed May 11 2005 Sergey Vlasov <vsu@altlinux.ru> 2.4.29-alt6
- Updated kernel-fix-security:
  + fix ELF core dump issue (CAN-2005-1263)

* Tue Mar 29 2005 Sergey Vlasov <vsu@altlinux.ru> 2.4.29-alt5
- Updated kernel-fix-security:
  + fixed isofs corrupted filesystem handling (CAN-2005-0815)
  + fixed bluetooth range checking bug (CAN-2005-0750)
  + fixed ext2 information leak (CAN-2005-0400)
  + fixed binfmt_elf DoS (CAN-2005-0749)

* Wed Mar 16 2005 Sergey Vlasov <vsu@altlinux.ru> 2.4.29-alt4
- Updated kernel-fix-security:
  + fix ppp_async issue (CAN-2005-0384)
  + fix integer signedness isuue in atm_get_addr (CAN-2005-0531)
- Updated kernel-feat-net-openswan:
  + updated to 1.0.9 to match userspace

* Wed Jan 26 2005 Sergey Vlasov <vsu@altlinux.ru> 2.4.29-alt3
- Updated to 2.4.29.
- Set CC=gcc-%%kgcc_version in the kernel makefile directly instead of using
  CC=gcc and exporting GCC_VERSION (the variable is not exported to programs
  executed by $(shell ...), which breaks detection of supported gcc options).
- Changed /lib/modules/%%version-%%flavour-%%krelease/build symlink to point to
  %%_usrsrc/linux-%%version-%%flavour/ and moved it to the
  kernel-headers-modules-%%flavour subpackage.
- Updated kernel-fix-security:
  - removed obsolete patches
- Updated kernel-fix-security-owl:
  + linux-2.4.29-ow1
- Updated kernel-fix-acpi:
  - removed obsolete patches
- Updated kernel-fix-build:
  + fix aic7xxx firmware build with HOSTCC=gcc-3.4
- Updated kernel-feat-drivers-libata:
  + 2.4.29-rc1-libata1
- Updated kernel-feat-i2c:
  + 2.9.0
  + removed obsolete driver patches for compatibility with i2c-2.8.x API
- Updated kernel-feat-ipmi:
  + OpenIPMI patch release 33

* Sat Jan 08 2005 Sergey Vlasov <vsu@altlinux.ru> 2.4.28-alt2
- Updated kernel-fix-security:
  + check for zero program header on load_elf_interp()
  + fix uselib() issue (CAN-2004-1235)
  + fix expand_stack issue (CAN-2005-0001)
  + fix integer signedness issues in moxa and random drivers
- Updated kernel-fix-drivers-usb:
  + usb-storage: workaround for buggy Genesys Logic chips
  + usb-storage: fix for ViPowER USB-IDE adapter to make it work with ATAPI
    devices

* Mon Dec 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.28-alt1
- Updated to 2.4.28.
- Updated kernel-fix-acpi:
  + do not run acpi_early_init() if acpi=off
  + allow devices to use reserved IO ports (needed at least for lm_sensors in
    some configurations)
- Updated kernel-fix-security:
  + removed obsolete patches
  + updated tty locking patch to version V8 (final)
- Updated kernel-fix-security-owl:
  + linux-2.4.28-ow1
- Updated kernel-feat-cpufreq:
  + cpufreq-LINUX_2_4-20041225 snapshot
- Updated kernel-feat-drivers-libata:
  + 2.4.28-rc3-libata1
- Updated kernel-feat-net-openswan:
  + updated to 1.0.8 for compatibility with kernel 2.4.28
- Updated kernel-fix-drivers-char, kernel-fix-drivers-ide,
  kernel-fix-drivers-usb, kernel-feat-drivers-console-unicode,
  kernel-feat-fs-ntfs:
  + updated patches for compatibility with 2.4.28, removed obsolete patches
- Modified configuration:
  + CONFIG_EDD is not set (boot problems with some hardware, #5510)
  + CONFIG_APM_IGNORE_USER_SUSPEND is not set (apparently this option was set
    accidentally a long time ago and not noticed until now)
  + CONFIG_BLK_DEV_DELKIN=m: Support for Delkin/ASKA/Workbit cardbus
    CompactFlash adapters
  + CONFIG_SCSI_SATA_AHCI=m: Advanced Host Controller Interface (AHCI) Serial
    ATA controller support (currently some recent Intel controllers are
    supported)
  + CONFIG_PRISM54=m: PCI/Cardbus support for Prism GT/Indigo/Duette
    (ISL3880/ISL3877/ISL3890) chipset based WiFi cards

* Wed Dec 15 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.27-alt3
- Updated kernel-fix-security:
  + fix CMSG validation (CAN-2004-1016)
  + fix IGMP issues
  + fix IP options leak

* Mon Nov 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.27-alt2
- Updated kernel-fix-security:
  + fix bugs in ppos races fix
  + fix smbfs issues (CAN-2004-0883, CAN-2004-0949)
  + fix binfmt_elf vulnerabilities (isec-0017)
  + fix tty locking bugs
  + fix binfmt_aout vulnerabilities
  + fix AF_UNIX dgram read locking
- Updated kernel-fix-drivers-usb:
  + avoid loss of written data if the usbserial device was busy
- Updated kernel-feat-drivers-video-splash,
  kernel-feat-drivers-console-unicode:
  + updated patch for compatibility with new kernel-fix-security

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.27-alt1
- Updated to 2.4.27.
- Removed kernel-fix-drivers-media (obsolete).
- Updated kernel-fix-acpi, kernel-fix-core, kernel-fix-drivers-block,
  kernel-fix-drivers-char, kernel-fix-drivers-ide, kernel-fix-drivers-net,
  kernel-fix-drivers-pci, kernel-fix-drivers-scsi, kernel-fix-drivers-usb,
  kernel-fix-drivers-video, kernel-fix-fs, kernel-fix-net, kernel-fix-security:
   - removed obsolete patches
- Updated kernel-fix-drivers-ide:
   + PIIX IDE: fixed DMA mode setup
- Updated kernel-fix-drivers-net:
   + nsc-ircc: added "noprobe" parameter to force loading when autodetection
     does not work (Bug #4770)
- Updated kernel-fix-fs:
   + increased limit for dynamic /proc entries from 4096 to 16384 (4096 is too
     easy to exceed, e.g. with vconfig (Bug #5296))
- Updated kernel-fix-net:
   + 8021q (VLAN): updated /proc support code (fixes /proc/net/vlan/config
     truncation with large number of VLANs; Bug #5296)
- Updated kernel-fix-security-owl:
   + linux-2.4.27-ow1
- Updated kernel-feat-fs-xfs:
   - DMAPI support removed (old patch is incompatible with the new XFS core
     from 2.4.27)
- Updated kernel-feat-i2c:
   + version 2.8.8
- Updated kernel-feat-drivers-libata:
   + libata: 20041015_1302 snapshot:
      + sata_nv: new driver for NVIDIA nForce SATA controllers
      + sata_uli: new driver for ULi Electronics (former ALi) SATA controllers
      - WARNING: support for Intel, NVIDIA, Silicon Image SATA controllers
	REMOVED from IDE drivers - use libata drivers (ata_piix, sata_nv,
	sata_sil) for these devices
   + iswraid: updated to 0.1.4.3

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.26-alt6
- Updated kernel-fix-security, kernel-feat-i2c:
  + fix ppos races (CAN-2004-0415)
  + fix info leaks in some drivers (CAN-2004-0685)
- Replaced kernel-feat-net-super-freeswan with kernel-feat-net-openswan.
- Updated installation scripts to use new bootloader-utils and new macros from
  kernel-build-tools; updated dependencies appropriately.

* Mon Jun 28 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.26-alt5
- Updated kernel-fix-drivers-char:
  + added lots of new Via host bridge PCI IDs to agpgart (sync with 2.6.7).
  + added minimal AGP 3.x support for SiS 648FX chipset to agpgart (fixes hang
    at X startup with the radeon driver)
- Updated kernel-fix-security:
  + fix DAC checks in *chown

* Sun Jun 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.26-alt4
- Updated kernel-fix-security-owl:
  + updated Openwall patch to linux-2.4.26-ow2
- Updated kernel-fix-security, kernel-fix-net, kernel-fix-fs:
  + compatibility with the new Openwall patch
  + fix CAN-2004-0495
- Updated kernel-feat-drivers-console-unicode:
  + fixed more include/linux/kbd_values.h userspace compilation problems
- Updated kernel-feat-i2c:
  + 2.8.7 release

* Mon Jun 14 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.26-alt3
- Updated kernel-fix-security:
  + fix FPU exception handling DoS

* Mon May 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.26-alt2
- Updated kernel-fix-drivers-ide:
  + add "ignore_pci_ide=VENDOR1,DEVICE1,VENDOR2,DEVICE2,..." boot parameter to
    ignore the specified PCI IDs in the IDE driver (needed to use some other
    driver, e.g. sata_sil)
- Updated kernel-fix-fs:
  + build old quota format support as module to match old quota patches and
    current 2.6.x
- Updated kernel-feat-drivers-console-unicode:
  + fixed include/linux/kbd_values.h userspace compilation problem
  + fixed "comparison between signed and unsigned" warning in the same file
- Fixed configuration:
  + CONFIG_NFTL_RW=y
  + CONFIG_MTD_DOCPROBE_ADVANCED is not set
  + CONFIG_IP_NF_NAT_LOCAL=y (#4045)

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.26-alt1
- Updated to 2.4.26.
- Removed kernel-fix-drivers-pcmcia (obsolete).
- Replaced kernel-feat-acpi with kernel-fix-acpi.
- Added kernel-fix-drivers-media:
  + fix V4L miss of range check oops
- Updated kernel-fix-drivers-sound, kernel-fix-lvm, kernel-fix-net,
  kernel-fix-security, kernel-feat-drivers-block-enbd, kernel-feat-i2c:
  + updated patches for kernel 2.4.26; removed obsolete patches
- Updated kernel-fix-core:
  + fix page-free-at-IRQ context BUG
- Updated kernel-fix-drivers-block:
  + cciss: add support for SA 6422 and SA V100 controllers
- Updated kernel-fix-drivers-char:
  + tipar: fix timeout bugs
  + agpgart: add ATI IGP 345M rev2 IDs
- Updated kernel-fix-drivers-ide:
  + only use set_max when it is present
  + fix support for PIO modes w/o IORDY flow control
  + add support for more Toshiba Piccolo chips
  + fix cenatek support patch
- Updated kernel-fix-drivers-net:
  + via-rhine: fix MII phy scanning bug
  + e1000: fix ETHTOOL_GREGS handling
- Updated kernel-fix-drivers-pci:
  + fixup for C1 Halt Disconnect problem on nForce2 systems
- Updated kernel-fix-drivers-scsi:
  + megaraid2: fix leaks in /proc diskdrives-ch<X> handler
- Updated kernel-fix-drivers-usb:
  + hid: fix several bugs in hiddev
  + printer: usblp locking fix (fixes disconnect problems)
  + usb-storage: fix races which may cause lockups
  + printer: workaround for HP LasetJet 1300 lockup on GET_ID requests in
    parallel with bulk I/O
- Updated kernel-fix-drivers-video:
  + rivafb: fix blue line in nVidia framebuffer
  + rivafb: 16bpp text background colour fix
- Updated kernel-fix-fs:
  + fix potential memory access to free memory in /proc handling
  + fix O(N^2) dquot sync behaviour
  + ext2: fix sb= mount option
  + devpts: fix memory leak on error path
- Updated kernel-fix-net:
  + ipt_MASQUERADE: missing ip_rt_put
- Updated kernel-fix-security-owl:
  + updated to 2.4.26-ow1
  + fixed MAGIC_RT_SIGRETURN handling
  + fixed GCC trampoline call emulation for addressing modes with no index in
    SIB (e.g. call *0x24(%esp,1)) and absolute base in SIB (e.g. call
    *static_var(%eax,4)).
- Updated kernel-feat-drivers-libata:
  + updated libata patch to 2.4.27-pre1-libata2:
    + internal cleanups
    + sata_promise: removed support for Promise SX4
    + sata_sx4: separate driver for Promise SX4 cards
  + added Promise SX8 driver "carmel" (not really a libata driver)
  + sata_sis: support SATA SCRs in PCI cfg space (fixes problems with some
    onboard controllers)
- Updated kernel-feat-fs-ntfs:
  + version 2.1.6b for 2.4.26 kernel

* Sun Apr 25 2004 Ivan Zakharyaschev <imz@altlinux.ru> 2.4.25-alt7.imz1
- Added kernel-feat-drivers-console-unicode:
  fixes the imperfectness of Linux VT/console Unicode support
  (involves a change of the kernel interface used by loadkeys,
  but mainly is compatible with old loadkeys).

* Sun Apr 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.25-alt7
- Updated kernel-feat-cpufreq:
  + longhaul: Nehemiah disabled again - no specs available from VIA
  + fix for (un)signed int wrap in proc_handler (CAN-2004-0228)
- Updated kernel-feat-drivers-media-v4l2:
  + updated main v4l2 patch to v4l2-2.4.26
- Updated kernel-feat-net-ppp-mppe:
  + fix interoperability problem ("Unsupported protocol 0x2145 received") with
    some implementations that perform protocol field compression for the
    encrypted data

* Thu Apr 22 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.25-alt6
- Updated kernel-fix-security:
  + fixed MCAST_MSFILTER error handling to return -EINVAL correctly

* Tue Apr 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.25-alt5
- Updated kernel-fix-security:
  + fix possible buffer overflow in panic()
  + fix buffer overflow in multicast msfilter (isec-0015)

* Tue Apr 13 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.25-alt4
- Updated kernel-fix-security:
  + fixed buffer overflow in isofs
  + fixed information leaks in ext3, xfs, jfs
- Updated kernel-fix-drivers-char:
  + workaroung for SiS 648 and 746 AGP problem (need to wait for some time
    after switching AGP modes)

* Sat Apr 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.25-alt3
- Added kernel-fix-drivers-pcmcia:
  + add more TI CardBus bridges (1510, 1520) and TI clones from ENE (1211,
    1225, 1410, 1420) to the override list
- Updated kernel-fix-fs:
  + avoid refile_inode() from putting locked inodes on the dirty list
    (http://bugme.osdl.org/show_bug.cgi?id=2367)
- Updated kernel-fix-net:
  + fix IGMPv3 timer initialization
  + fix possible memory corruption with time-wait sockets
- Updated kernel-fix-security-owl:
  + add kernel.shm_destroy_unused sysctl to control CONFIG_HARDEN_SHM state at
    runtime (so it can be turned off to work around problems in some badly
    written programs).
- Updated kernel-fix-drivers-ide:
  + fix new SanDisk flash detection
- Updated kernel-fix-drivers-usb:
  + fixed hid-multi-usage patch (was causing problems with linux/hiddev.h
    compilation and a possible kernel stack overflow)
- Updated kernel-feat-acpi:
  + updated ACPI patch (01-Apr-2004, ACPICA 20040326)
- Updated kernel-feat-drivers-libata:
  + command submission cleanup
  + fixed bug with READ(6) and WRITE(6) SCSI commands
  + fixed broken delays (due to rounding and HZ==100, sometimes delays would
    not occur for the desired length of time, or even at all)
  + fixed lockup during probing on SMP kernels
  + ata_piix:
    * do not disable SATA port on module unload
    * fix combined mode device detection
  + sata_promise:
    * magic initialization fixes from the Promise driver
    * reset each port before probing the SATA phy
    * reset port every time an error occurs
  + sata_sil:
    * no longer marked as BROKEN
    * now this driver is enabled in kernel config, but the siimage IDE driver
      is built into the kernel and will grab the device by default - you will
      need to use "ide2=0 ide3=0 ...  ide9=0" to test sata_sil for now
  + sata_sis:
    * new driver for SiS 964/180
  + sata_via:
    * fix probing bug (some 2.6 code leaked into 2.4 backport)
    * revert to the old way of resetting port (workaround for drive
      not responding in some configurations)
    * fix device detection on second port

* Mon Mar 22 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.25-alt2
- Updated kernel-fix-core:
  + fix vmalloc() error handling
  + mremap NULL pointer dereference fix
- Updated kernel-fix-fs:
  + fix iocharset=... ignoring patch for reiserfs
  + fix oops in locks_remove_posix()
- Updated kernel-fix-lvm:
  + fix LVM snapshot oversized sector calculation
- Updated kernel-fix-net:
  + fix ECN target cloned skb problem
  + kill unused structure member in NAT
  + do not return -EAGAIN on blocking UDP socket
  + IGMP: verify MSFILTER option length, check for overflow
- Updated kernel-fix-drivers-ide:
  + add support for Intel ESB and ICH6 IDE controllers
  + add support for nForce2s, nForce3, nForce3s
  + change AMD8111 and nForce2 max speed to UDMA133
  + add workaround for Serenade mainboards which only handle UDMA100
  + new Medley software RAID driver (more reliable detection than in silraid,
    but currently supports only RAID0)
  + hpt366 driver update (fixes FIFO DMA data corruption on some chips)
- Added kernel-fix-drivers-ieee1394:
  + video1394: fix failure handling
  + use vmalloc to allocate sglist array for larger cases
- Updated kernel-fix-drivers-net:
  + 8139too: more RTL-8139 clone boards
  + ne2k-pci: more ne2k-pci clone boards
  + tulip: fix up 21041 media selection
- Updated kernel-fix-drivers-pci:
  + add Intel ICH6 irq router support
- Updated kernel-fix-drivers-scsi:
  + make Hitachi 9960 Storage luns visible
- Updated kernel-fix-drivers-sound:
  + i810_audio: new PCI ids (ICH6, ESB)
- Updated kernel-fix-drivers-usb:
  + new device ids (visor, ftdi_sio, io_edgeport, pegasus, usb-storage)
  + EHCI updates
  + OSS audio driver workaround for buggy descriptors
  + fix HID support for non-explicitly specified usages
  + fix USB printer write problems
- Updated kernel-fix-drivers-video:
  + add support for Radeon 9200 (Ya) and 9200 SE (Yd) in radeonfb
- Updated kernel-feat-acpi:
  + updated ACPI patch (13-Mar-2004, ACPICA 20040311)
- Updated kernel-feat-cpufreq:
  + longhaul: Try to enable Nehemiah
  + powernow-k8: Updated to 1.00.12
- Updated kernel-feat-libata:
  + ata_piix:
    * add support for ICH6 (in ICH5 compatibility mode)
    * enable interrupt if a broken BIOS disabled them
  + sata_promise:
    * fix DIMM initialization on PCI-X bus
  + sata_sil:
    * fix 4-port support on SII 3114
    * remove incorrect limit on drive quirk
    * mask SATA phy interrupts
    * properly initialize SiI-specific data transfer mode register
    * limit to UDMA5 due to scary comments in FreeBSD about chip errata
    * still marked as BROKEN, so not enabled in config :(
  + sata_svw:
    * increase max from UDMA/100 to UDMA/133
  + sata_via:
    * reset and test for device presence using SATA phy registers (SCRs)
    *, make sure that channels and interrupts we are interested in are enabled
  + sata_vsc:
    * new driver for Vitesse VSC-7174
- Fixed problems with kernel-headers-%%flavour:
  + require kernel-headers-common >= 1.1.5 to avoid reports for bugs which are
    really in old versions of kernel-headers-common
  + call adjust_kernel_headers in %%post and %%postun to make sure kernel
    headers are configured correctly

* Sun Feb 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.25-alt1
- Updated to 2.4.25.
- Added kernel-feat-fs-reiserfs: data logging and quota support for ReiserFS.
- Added kernel-feat-ipmi: updated Intelligent Platform Management Interface
  (IPMI) driver.
- Replaced kernel-feat-net-ipsec with kernel-feat-net-super-freeswan.
- Updated kernel-fix-security-owl to 2.4.25-ow1.
- Updated kernel-feat-drivers-media-v4l2 to v4l2-2.4.25-rc1.
- Updated kernel-feat-fs-ntfs to 2.1.6a.
- Updated kernel-feat-i2c to 2.8.4.
- Removed obsolete patch packages:
  - kernel-fix-drivers-cdrom
  - kernel-fix-drivers-ieee1394
  - kernel-fix-drivers-atm
  - kernel-feat-drivers-net-sk98lin
- Moved to the new compiler version selection scheme (GCC_VERSION).
- Modified configuration; major new features:
  + IP multicasting and multicast routing (PIM-SM V1, V2) (#3738)
  + IPVS
  + IPSec modular algorithms and NAT traversal support
  + PPPoATM

* Wed Feb 04 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt17
- Updated kernel-fix-drivers-net:
  + tulip: add PCI IDs (3com 3CSOHO100B-TX, etc...)
- Updated kernel-fix-drivers-usb:
  + avoid usb-storage deadlocks by using GFP_NOIO for USB memory allocations
  + add support for new usb-storage devices
  + fix usb-storage failure handling
  + EHCI driver fixes for high bandwidth iso transfers
- Updated kernel-fix-fs:
  + avoid buffer overrun in mount options parsing
- Updated kernel-feat-acpi:
  + Updated ACPI patch (26-Jan-2004, ACPICA 20040116)
- Updated kernel-feat-drivers-libata:
  + new version (2.4.25-pre4-libata1):
    - fake BIOS geometry for partition tables
    - sata_promise: better support for Promise SX4 (initialize DIMM, fix Host
      DMA)
    - sata_svw: probe all 4 ports, limit UDMA modes
- Updated kernel-feat-drivers-media-v4l2 (new upstream release).
- Updated kernel-feat-drivers-net-sk98lin (6.21 release).
- Updated kernel-feat-fs-xfs (new upstream release).
- Updated kernel-feat-i2c (2.8.3 release).
- Removed kernel-fix-drivers-media (not needed for new
  kernel-feat-drivers-media-v4l2).
- Updated kernel config for new XFS.
- Spec file cleanup:
  + general cleanup
  + removed EXTRAVERSION duplication
  + modified kernel-headers build to avoid dependencies on patches (some
    patches add include files)
  + added %%subflavour macro for up/smp
  + resync up and smp subflavours (now the docs generation parts are in both
    subflavours, but enabled only in -up)

* Sun Jan 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt16
- Updated kernel-fix-drivers-char:
  + AGP support for ATI IGP 345M
- Updated kernel-fix-drivers-ide:
  + fix pdcraid detection
- Updated kernel-fix-fs:
  + fix tmpfs seekdir oops
  + fix ext3 quota deadlock
  + make tmpfs readdir update atime
  + fix hfs oops with non-512 byte sectors (CD-ROM)
  - reverted inode_hash race fix (causes deadlocks on SMP)
- Updated kernel-fix-security:
  + backported more mmap fixes from 2.4.23-ow2
  + fixed CAN-2003-0984
- Fixed dependencies:
  + added proper Prereq to kernel-image
  + added versions to Provides in kernel-headers

* Wed Dec 31 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt15
- Updated kernel-fix-core:
  + removed bogus panic calls from the MP table parsing code
- Updated kernel-fix-security:
  + fixed CAN-2003-0985

* Thu Dec 25 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt14
- Updated kernel-feat-acpi:
  + Updated ACPI patch (18-Dec-2003, ACPICA 20031203)
  + Fixed SMP boot (broken by the previous ACPI patch)
  + Blacklisted Supermicro 370DL3/370DLE (PCI bus lost without pci=noacpi).

* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt13
- Added kernel-fix-drivers-block:
  + fix losetup uninterruptible sleep if kernel_thread fails
- Updated kernel-fix-core:
  + do not allow mmap with PROT_EXEC if the filesystem was mounted with
    'noexec'
- Updated kernel-fix-drivers-char:
  + added NetMos parallel/serial PCI cards support
- Updated kernel-fix-drivers-net:
  + pppoe: do not leak SKB if sock_queue_rcv_skb() fails
  + fixed duplex selection for DL10019 cards in pcnet_cs driver
  + added Prism 3 ID to orinoco_pci
- Updated kernel-fix-drivers-scsi:
  + 3ware driver update: Fix tw_ioctl() to handle all non-data ATA passthru
    cmds for 'smartmontools' support
- Updated kernel-fix-drivers-sound:
  + forte sound driver update (fixes many bugs, including calling BUG() on
    failed memory allocation instead of returning -ENOMEM)
- Updated kernel-fix-drivers-usb:
  + ftdi_sio: add support for Protego devices
  + scanner: version 0.4.16: new device ids
  + pegasus: driver update (new device ids, fixed flags for some devices)
  + usb-storage: new device support:
    * Pentax Optio S4
    * Fujifilm EX-20
    * Kyocera S5 camera
    * Minolta DiMAGE 7/7i//7Hi
    * Sony Memory Stick Reader MSAC-US1
    * freecom dvd-rw fx-50 usb-ide
    * CD-509 USB to IDE
    * Mitsumi USB FDD
    * Minolta Dimage S414
    * Medion 6047 Digital Camera
    * Datafab USB to CF + SM Combo (LC1)
  + pl2303: new device ids
  + io_edgeport: fixed error handling, fixed alignment issues
  + printer: Backport 2.6=>2.4 (fixed buffer allocation and possible races)
  + mct_u232: allow MCT-U232 to work with devices which do not assert CTS
  + visor: add support for Sony UX50 device
- Updated kernel-fix-drivers-video:
  + limit vesafb video memory size to 16M to avoid running out of kernel
    address space (it is possible to override this limit with the 'vram'
    parameter if needed).
- Updated kernel-fix-fs:
  + remove broken file lock accounting
  + fix end_buffer_io_kiobuf() locking
  + fix potential fsync() race condition
- Updated kernel-fix-net:
  + sock_queue_rcv_skb(): do not deref skb->len after it is queued to the
    socket.
  + econet: do not leak SKBs if ec_queue_packet() fails
- Updated kernel-feat-acpi:
  + Updated ACPI patch (11-Dec-2003, ACPICA 20031203)
- Updated kernel-feat-cpufreq:
  + longhaul: Ezra-T support added, rounding fixes
  + speedstep-centrino: Ultra Low Voltage Intel Pentium M processor 1000MHz
    support added
- Updated kernel-feat-drivers-libata:
  + fix for Promise SX4 (only one Host DMA engine, not one per port)
  + fix oops on libata unload
- Updated kernel-feat-i2c:
  + 2.8.2 release

* Sat Nov 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt12
- Updated kernel-fix-security:
  + fixed CAN-2003-0001, CAN-2003-0461, CAN-2003-0961

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt11
- Updated kernel-fix-fs:
  + fixed iso9660 mount options handling
- Added kernel-fix-security.
- Updated kernel-feat-acpi:
  + new ACPI patch (ACPI hotplug fix, pci=noacpi fix)
- Updated kernel-feat-cpufreq:
  + speedstep-smi driver fixes
- Updated kernel-feat-drivers-libata:
  + updated libata patch to 2.4.23-rc3-libata1:
    - fixed a bug which may cause some devices to "not be talked to" at probe
      time (fixed flush of Device Control register to device)
    - ServerWorks-specific tweaks
  + added Intel Software RAID (ICH5R) support (iswraid module)
- Modified security configuration:
  + Non-executable user stack area enabled (with GCC trampolines
    autodetection): CONFIG_HARDEN_STACK=y, CONFIG_HARDEN_STACK_SMART=y
  + Restricted /proc enabled: CONFIG_HARDEN_PROC=y

* Wed Nov 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt10
- Fixed file lists for kernel-headers-%%flavour:
  + added acpi/, crypto/, freeswan.h, freeswan/, pfkey.h, pfkeyv2.h, zlib/
- Fixed kernel-headers-modules-%%flavour dependencies.
- Modified configuration:
  - adma100, sc1200, siimage drivers are now built into the kernel (building
    IDE controller drivers as modules does not work unless the whole IDE
    subsystem is in modules too)
  - tvmixer module is not built (now it is in kernel-modules-v4l-%%flavour)
- Added kernel-fix-drivers-pnp:
  + fixed problems with detection of some ISA PnP cards
- Updated kernel-fix-drivers-net:
  + fixed multicast list handling in the tulip driver
- Updated kernel-fix-drivers-scsi:
  + sg driver bugfix: do not accept negative sizes in SG_SET_RESERVED_SIZE
- Updates kernel-fix-fs:
  + fixed quota stats accounting bug
  + fixed races on inode deletion (could cause oops with NFS)
- Updated kernel-feat-acpi:
  + new ACPI patch (IRQ assignment fixes, poweroff fix)
- Updated kernel-feat-drivers-libata:
  + new upstream version (Promise driver bugfixes)
  + added support for Promise FastTrak 376

* Sat Nov 15 2003 Albert R. Valiev <darkstar@altlinux.ru> 2.4.22-alt9
- Added kernel-feat-driver-net-pcnet32-old patch
- fix for vmware network card driver

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt8
- Updated kernel-feat-acpi (ACPI updates and fixes, Alt-SysRq poweroff fix).
- Updated kernel-feat-drivers-libata (new version, Promise SATA driver
  significantly enhanced).
- Updated kernel-fix-drivers-scsi (updated ServeRAID and MegaRAID drivers, SCSI
  blacklist updates).
- Added kernel-fix-drivers-cdrom (bugfixes).
- Updated kernel-fix-core, kernel-fix-drivers-char, kernel-fix-drivers-ide,
  kernel-fix-drivers-ieee1394, kernel-fix-drivers-net, kernel-fix-drivers-pci,
  kernel-fix-drivers-sound, kernel-fix-drivers-usb, kernel-fix-fs,
  kernel-fix-lvm, kernel-fix-net (lots of bugfixes).
- Relaxed BuildRequires (libdb4.0-devel -> libdb4-devel) (#2826).

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt7
- Updated kernel-feat-acpi (important bugfixes; enabled DMI info dump; moved
  ACPI BIOS date cutoff from 2001 to 2000).
- Added kernel-fix-lvm (makes LVM snapshots work with journaling FS).
- Added kernel-feat-libata (Serial ATA drivers). Supported devices: Intel ICH5,
  Promise FastTrak S150 TX2plus/TX4/SX4, Broadcom (Apple K2) SATA, VIA SATA.
  Silicon Image SATA support not enabled (does not work yet).
- Updated kernel-feat-i2c (2.8.1 release).

* Tue Oct 07 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt6
- updated kernel-feat-net-ppp-mppe (this version should really work)
- updated kernel-feat-crypto:
  - back to old cryptoapi from kerneli.org
- moved .config to kernel-headers-modules
- added toplevel Makefile and Rules.make to kernel-headers-modules (needed for
  compilation of some external modules)
- added kernel-feat-cpufreq (frequency/voltage scaling support)
- removed kernel-feat-bttv, kernel-feat-saa7134 (now in kernel-modules-v4l)
- removed kernel-feat-addon (no longer used)
- updated kernel-feat-acpi (more fixes)
- turned off OV511 USB camera driver (now in kernel-modules-v4l)

* Mon Sep 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt5
- updated kernel-fix-net:
  - hidden IGMPv3 definitions in <linux/in.h> from userspace (workaround for
    #3053)
- updated kernel-fix-drivers-usb, kernel-feat-drivers-usb:
  - lots of bugfixes and new device IDs
- updated kernel-fix-drivers-char:
  - added AGP support for Intel 875 (integrated video not supported)
- fixed kernel-headers-modules building:
  - install updated bttv headers instead of obsolete ones

* Wed Sep 24 2003 Sergey Vlasov <vsu@altlinux.ru> 2.4.22-alt4
- added kernel-feat-acpi:
    + ACPI update 20030916-2.4.22 (should fix some problems with nForce)
    + DSDT override from initrd
    + blacklist updates
- added kernel-fix-drivers-mtd, kernel-fix-drivers-sound,
  kernel-fix-drivers-video:
    + missing MODULE_LICENSE fixes
- updated kernel-fix-drivers-char:
    + fixed AGP 3.0 support for Via KT400
    + added AGP support for Intel 7x05, ATI Radeon IGP, Via CLE266
- updated kernel-fix-drivers-pci:
    + enable SMBus controller on ASUS boards
- added kernel-headers-modules-%flavour package (Rider)
- added kernel-feat-drivers-sound-emu10k1 (Rider)
    + update emu10k1 to 0.20a
- added drivers/media/video/ headers to kernel-headers-modules package (Rider)
- disabled 8139cp (PCI ID conflict with 8139too)
- added kernel-fix-drivers-ieee1394, kernel-fix-drivers-atm

* Sat Sep 06 2003 Anton Farygin <rider@altlinux.ru> 2.4.22-alt2
- compiled more modules (PCMCIA, ATM and other)
- enabled ACPI support (Required for HT on some Intel chipsets)
- replaced __make macros to make_build macros (build speed up on SMP)
- fixed bug with build userspace v4l programms

* Fri Sep 05 2003 Rider <rider@altlinux.ru> 2.4.22-alt1
- new version (2.4.22)

* Tue Aug 26 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt14
- played with OWL patch configs. installator should work just fine now.
- rebuilt as smp flavour.

* Thu Aug 14 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt13
- added Video4Linux Version 2 API patch.
- added kernel-fix-drivers-md.
- added saa7134 driver.

* Wed Aug 13 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt12
- removed percentexclude pcmcia dir.

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt11
- getting back bttv.

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt10
- upgraded patches.
- added patches:
  + kernel-fix-drivers-char
  + kernel-fix-drivers-video
- temporary removed patches:
  - kernel-feat-bttv

* Thu Aug 07 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt9
- got back all the pcmcia inkernel drivers, as 3.2.4 are considered as
  experimental.

* Thu Jul 31 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt8
- added kernel-headers to provides of kernel-headers-%flavour.
- replaced get_patch_list with format_patch_list.
- rebuilt with new kernel-fix-core with new dcache names patch. start-stop-daemon
  should work now.
- added asm-generic directory to headers.
- don't build pcmcia modules inside the kernel.

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt7
- removed iscsi patch as rider@ and ab@ suggested.

* Thu Jul 17 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt6
- Added provides kernel24
- ACPI support now included (+ kernel-feat-acpi)
- Fixed OWL security patch configuration, proc is now visible to all in
  std kernels.

* Tue Jul 15 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt5
- new patches:
  + kernel-fix-fs

* Wed Jul 09 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt4
- compiled Promise PDC drivers in kernel (satisfying request by mouse@a.r).

* Mon Jul 07 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt3
- new patches:
  + kernel-fix-drivers
    + ide
    + net
    + pci
    + scsi
    + usb
    + security-owl
  + kernel-feat
    + fs-ntfs
    + i2c
- fixed spec in many places
- changed /etc/apt/apt.cond.d/file filename so that kernel packages with different versions installed at one time
  don't conflict.

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rel-alt1
- upgraded to rc7
- applied patches:
  + kernel-fix-core
  + kernel-feat-core-O1sched
  + kernel-feat-iscsi
  + kernel-feat-bttv
  + kernel-feat-fs-xfs
  + kernel-feat-kconfig
  + kernel-feat-addon
  + kernel-feat-crypto
  + kernel-feat-drivers-video-splash
  + kernel-feat-net-ipsec
    + ipsec
    + ppp-mppe

* Mon May 26 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rc1-alt3
- compile ext2 filesystem in kernel for installer needs.
- added net-ipsec and video-splash features.

* Thu May 15 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.21rc1-alt2
- removed crypto patch because it bugs loop filesystem. ... And added
  it again, because it doesn't.

* Fri Apr 25 2003 Peter Novodvorsky <nidd@altlinux.com> kernel-policy-rc.2
- rc2 policy release.
